Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Support wfpeter

    (@wfpeter)

    Hi @alexhlr, thanks for your message.

    This looks like a potential plugin conflict, which we have seen with Wordfence plugin activation in the past. Once the Javascript is broken, the code to enable the “CONTINUE” button won’t trigger.

    I would always recommend trying to run Wordfence with no other plugins enabled and a default theme such as Twenty Twenty-One and seeing if the problem persists. If it works, complete the Wordfence installation and enable your other plugins one-by-one followed by your theme to see when the problem is reintroduced.

    WPEngine has deprecated .htaccess which was an issue for importing sites from other locations where an .htaccess was specified but should be configuring correctly when setting up a fresh installation on this setup.

    If you’re seeing 404s for Javascript files in the Network tab of your browser console, it could be file or access permissions causing the problem. Sites should be able to connect back to themselves without being blocked by a firewall on the server in addition to 755 permissions on files and folders in your WordPress installation, owned by www-data.

    We currently don’t recommend using PHP8 as not all WordPress and associated plugin functions are 100% confirmed as compatible. There are sites that will work perfectly in a PHP8 environment but when you’re seeing issues, a rollback to the latest version of PHP7 available on your host could help.

    A bit of a long-shot but WordPress itself used to use jquery-migrate and was deprecated in the WordPress 5.5 update during 2020. Wordfence was updated accordingly to prevent compatibility issues but we’d see issues with activating the plugin at this stage during this time. There is a slight chance that if you’re seeing things like this, one of your plugins or theme doesn’t comply so the Enable jQuery Migrate Helper could still be of assistance.

    Let me know how you get on!

    Thanks,

    Peter.

    Thread Starter alexhlr

    (@alexhlr)

    Thanks! I switched to PHP 7.4, deactivated all the plugins, deleted Wordfence plugin and also database rows related to wordfence and installed default theme, then installed wordfence plugin and its working now.

    Plugin Support wfpeter

    (@wfpeter)

    That’s great news, I’m glad you tackled the uninstall/reinstall and had success immediately without recurrence of the button issue. I appreciate the update.

    If you have Wordfence questions in future by all means start a new topic and we’ll always do our best to help.

    Peter.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Can’t activate’ is closed to new replies.